groups:
- name: CPU metrics
  rules:
  - alert: NodeCPUUsage
    expr: >-
      (100 - (avg by (instance) (irate(node_cpu_seconds_total{mode="idle"}[5m])) * 100)) > 70
    for: 15m
    labels:
      severity: "{{ if gt $value 90 }}error{{ else }}warning{{ end }}"
    annotations:
      title: High CPU usage detected
      url: "http://l1ts-grafana.cms/d/rYdddlPWk/prometheus-node-exporter-full?orgId=1&refresh=1m&var-node={{ $labels.instance }}"
      description: >-
        CPU usage on {{$labels.instance}} is {{ $value | printf "%.2f" }}%.
        Contact [L1T Online Software expert](https://twiki.cern.ch/twiki/bin/viewauth/CMS/OnlineWBTriggerContacts).

  - alert: NodeLoadAverage
    expr: >-
      ((node_load5 / count without (cpu, mode) (node_cpu_seconds_total{mode="system"})) > 1)
    for: 15m
    labels:
      severity: "{{ if gt $value 5 }}error{{ else }}warning{{ end }}"
    annotations:
      title: High Load Average detected.
      url: "http://l1ts-grafana.cms/d/rYdddlPWk/prometheus-node-exporter-full?orgId=1&refresh=1m&var-node={{ $labels.instance }}"
      description: >-
        Load average on {{$labels.instance}} is {{ $value | printf "%.2f" }}%.
        Contact [L1T Online Software expert](https://twiki.cern.ch/twiki/bin/viewauth/CMS/OnlineWBTriggerContacts).

